org.eclipse.eef.properties.ui.internal.page.propertylist

## Class EEFListElement

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.swt.widgets.Canvas
          - - org.eclipse.eef.properties.ui.internal.page.propertylist.EEFListElement

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

    public class EEFListElement
    extends org.eclipse.swt.widgets.Canvas

One of the tabs in the tabbed property list.

### Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`view`

### Constructor Summary

Constructors
Constructor and Description
`EEFListElement(org.eclipse.swt.widgets.Composite parent, IEEFTabItem tab, int index, EEFTabbedPropertyList tabbedPropertyList)` The constructor.
`EEFListElement(org.eclipse.swt.widgets.Composite parent, IEEFTabItem tab, int dynamicImageCount, int index, EEFTabbedPropertyList tabbedPropertyList)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`IEEFTabItem` `getTabItem()` Get the tab item.
`void` `hideDynamicImage(int i)` Hide the dynamic image at specified index in dynamicImages array.
`protected void` `mouseUp(org.eclipse.swt.events.MouseEvent event)` Handle the mouse up event.
`void` `setDefaultTextColor()` Sets default color for tab label text.
`void` `setSelected(boolean selected)` Set selected value for this element.
`void` `setTextColor(org.eclipse.swt.graphics.Color textColor)` Sets color to be used for drawing tab label text.
`void` `showDynamicImage(int i, org.eclipse.swt.graphics.Image image)` Show the dynamic image at specified index in dynamicImages array.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.swt.widgets.Canvas

`drawBackground, getCaret, getIME, scroll, setCaret, setFont, setIME`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, computeSize, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EEFListElement

    public EEFListElement(org.eclipse.swt.widgets.Composite parent,
                          IEEFTabItem tab,
                          int index,
                          EEFTabbedPropertyList tabbedPropertyList)

The constructor.

Parameters:
  `parent` - The parent composite
  `tab` - The tab
  `index` - The index of the tab
  `tabbedPropertyList` - The tabbed property list

#### EEFListElement

    public EEFListElement(org.eclipse.swt.widgets.Composite parent,
                          IEEFTabItem tab,
                          int dynamicImageCount,
                          int index,
                          EEFTabbedPropertyList tabbedPropertyList)

The constructor.

Parameters:
  `parent` - The parent composite
  `tab` - The tab
  `dynamicImageCount` - The number of dynamic images
  `index` - The index of the tab
  `tabbedPropertyList` - The tabbed property list

### Method Detail

#### mouseUp

    protected void mouseUp(org.eclipse.swt.events.MouseEvent event)

Handle the mouse up event.

Parameters:
  `event` - The mouse up event

#### setSelected

    public void setSelected(boolean selected)

Set selected value for this element.

Parameters:
  `selected` - the selected value.

#### showDynamicImage

    public void showDynamicImage(int i,
                                 org.eclipse.swt.graphics.Image image)

Show the dynamic image at specified index in dynamicImages array. The image width should not be more than 16 pixels. The caller is responsible for loading the image appropriately and managing it's resources.

Parameters:
  `i` - The index of the image
  `image` - The image to show

#### hideDynamicImage

    public void hideDynamicImage(int i)

Hide the dynamic image at specified index in dynamicImages array. The caller is responsible for managing image resources and disposing it appropriately.

Parameters:
  `i` - The index of the image to hide

#### setTextColor

    public void setTextColor(org.eclipse.swt.graphics.Color textColor)

Sets color to be used for drawing tab label text. The caller is responsible for managing the color's resources and disposing it appropriately after setDefaultTextColor() is later invoked.

Parameters:
  `textColor` - The color of the text

#### setDefaultTextColor

    public void setDefaultTextColor()

Sets default color for tab label text.

#### getTabItem

    public IEEFTabItem getTabItem()

Get the tab item.

Returns:
  the tab item.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.swt.widgets.Widget`